curl --location 'http://fssportal.com/api/v1/lead_source/add' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"company_name": "Test Company",
"name": "John",
"surname": "Doe",
"email": "john.doe@example.com",
"phone_no": "9876543210",
"address": "123 Main Street",
"city": "Rajkot",
"state": "Gujarat",
"zip_code": "360006"
}'
const response = await fetch('http://fssportal.com/api/v1/lead_source/add', {
method: 'POST',
headers: {
'X-API-Token': 'YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"company_name": "Test Company",
"name": "John",
"surname": "Doe",
"email": "john.doe@example.com",
"phone_no": "9876543210",
"address": "123 Main Street",
"city": "Rajkot",
"state": "Gujarat",
"zip_code": "360006"
})
});
const data = await response.json();
{
"message": "Lead Source added successfully.",
"data": {
"user_id": 68,
"company_name": "Test Company",
"name": "John",
"surname": "Doe",
"email": "john.doe@example.com",
"phone_no": "9876543210",
"address": "123 Main Street",
"city": "Rajkot",
"state": "Gujarat",
"zip_code": "360006",
"billing_address": "123 Main Street",
"billing_city": "Rajkot",
"billing_state": "Gujarat",
"billing_zip_code": "360006",
"updated_at": "2026-05-14T11:34:45.000000Z",
"created_at": "2026-05-14T11:34:45.000000Z",
"id": 195
}
}
Lead Sources
Create Lead Source
Create a new lead source
POST
/
api
/
v1
/
lead_source
/
add
curl --location 'http://fssportal.com/api/v1/lead_source/add' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"company_name": "Test Company",
"name": "John",
"surname": "Doe",
"email": "john.doe@example.com",
"phone_no": "9876543210",
"address": "123 Main Street",
"city": "Rajkot",
"state": "Gujarat",
"zip_code": "360006"
}'
const response = await fetch('http://fssportal.com/api/v1/lead_source/add', {
method: 'POST',
headers: {
'X-API-Token': 'YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"company_name": "Test Company",
"name": "John",
"surname": "Doe",
"email": "john.doe@example.com",
"phone_no": "9876543210",
"address": "123 Main Street",
"city": "Rajkot",
"state": "Gujarat",
"zip_code": "360006"
})
});
const data = await response.json();
{
"message": "Lead Source added successfully.",
"data": {
"user_id": 68,
"company_name": "Test Company",
"name": "John",
"surname": "Doe",
"email": "john.doe@example.com",
"phone_no": "9876543210",
"address": "123 Main Street",
"city": "Rajkot",
"state": "Gujarat",
"zip_code": "360006",
"billing_address": "123 Main Street",
"billing_city": "Rajkot",
"billing_state": "Gujarat",
"billing_zip_code": "360006",
"updated_at": "2026-05-14T11:34:45.000000Z",
"created_at": "2026-05-14T11:34:45.000000Z",
"id": 195
}
}
Endpoint
POST /api/v1/lead_source/add
This endpoint requires authentication
Headers
string
required
Your API access token. You can also set this globally in the API playground.
string
required
The platform making the request:
WEB, IOS, or ANDROID.Request Body
string
company name
string
required
name
string
required
surname
string
required
Unique email for the lead source.
string
phone no
string
address
string
city
string
state
string
zip code
Response
string
message
object
curl --location 'http://fssportal.com/api/v1/lead_source/add' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"company_name": "Test Company",
"name": "John",
"surname": "Doe",
"email": "john.doe@example.com",
"phone_no": "9876543210",
"address": "123 Main Street",
"city": "Rajkot",
"state": "Gujarat",
"zip_code": "360006"
}'
const response = await fetch('http://fssportal.com/api/v1/lead_source/add', {
method: 'POST',
headers: {
'X-API-Token': 'YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"company_name": "Test Company",
"name": "John",
"surname": "Doe",
"email": "john.doe@example.com",
"phone_no": "9876543210",
"address": "123 Main Street",
"city": "Rajkot",
"state": "Gujarat",
"zip_code": "360006"
})
});
const data = await response.json();
{
"message": "Lead Source added successfully.",
"data": {
"user_id": 68,
"company_name": "Test Company",
"name": "John",
"surname": "Doe",
"email": "john.doe@example.com",
"phone_no": "9876543210",
"address": "123 Main Street",
"city": "Rajkot",
"state": "Gujarat",
"zip_code": "360006",
"billing_address": "123 Main Street",
"billing_city": "Rajkot",
"billing_state": "Gujarat",
"billing_zip_code": "360006",
"updated_at": "2026-05-14T11:34:45.000000Z",
"created_at": "2026-05-14T11:34:45.000000Z",
"id": 195
}
}
Notes
- Authentication is required
⌘I
